import { Expression } from "./../../../ast/expressions/expression";

export class TextNode extends Expression {
  constructor (value) {
    super();
    this.value = value;
  }

  toString () {
    if (this.parenthesis) {
      return `(${this.value})`;
    }
    return this.value;
  }
}
