import { IType } from "../../../typeSystem/itype";
import { Type } from "../../../typeSystem/type";

export class Pointer implements IType {
  baseType: Type;
  value = undefined;
  ord = undefined;

  constructor (type: Type) {
    this.baseType = type;
  }

  isCompatible (another: IType): boolean {
    if (another instanceof Pointer) {
      return this.baseType.isCompatible(another.baseType);
    }
    return false;
  }
}
